# Class MenuFactoryImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.EFactoryImpl
org.eclipse.e4.ui.model.application.ui.menu.impl.MenuFactoryImpl

All Implemented Interfaces:
  `MMenuFactory, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory`

public class MenuFactoryImpl extends org.eclipse.emf.ecore.impl.EFactoryImpl implements MMenuFactory
An implementation of the model Factory.

## Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MenuFactoryImpl`
`eINSTANCE`
The singleton instance of the factory.

### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`EDATE_FORMATS, ePackage`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Fields inherited from interface MMenuFactory

`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`MenuFactoryImpl()`
Creates an instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`String`
`convertItemTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String`
`convertToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`org.eclipse.emf.ecore.EObject`
`create(org.eclipse.emf.ecore.EClass eClass)`
`MDirectMenuItem`
`createDirectMenuItem()`
`MDirectToolItem`
`createDirectToolItem()`
`MDynamicMenuContribution`
`createDynamicMenuContribution()`
`Object`
`createFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`MHandledMenuItem`
`createHandledMenuItem()`
`MHandledToolItem`
`createHandledToolItem()`
`ItemType`
`createItemTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`MMenu`
`createMenu()`
`MMenuContribution`
`createMenuContribution()`
`MMenuSeparator`
`createMenuSeparator()`
`MPopupMenu`
`createPopupMenu()`
`MToolBar`
`createToolBar()`
`MToolBarContribution`
`createToolBarContribution()`
`MToolBarSeparator`
`createToolBarSeparator()`
`MToolControl`
`createToolControl()`
`MTrimContribution`
`createTrimContribution()`
`MenuPackageImpl`
`getMenuPackage()`
`static MenuFactoryImpl`
`init()`
Creates the default factory implementation.

### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eINSTANCE

public static final MenuFactoryImpl eINSTANCE
The singleton instance of the factory.

## Constructor Details

### MenuFactoryImpl

public MenuFactoryImpl()
Creates an instance of the factory.

## Method Details

### init

public static MenuFactoryImpl init()
Creates the default factory implementation.

### create

public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

Specified by:
  `create` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

public Object createFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

Specified by:
  `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

public String convertToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

Specified by:
  `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createMenuSeparator

public MMenuSeparator createMenuSeparator()

Specified by:
  `createMenuSeparator` in interface `MMenuFactory`
Returns:
  a new object of class 'Separator'.
Since:
  1.0

### createMenu

public MMenu createMenu()

Specified by:
  `createMenu` in interface `MMenuFactory`
Returns:
  a new object of class 'Menu'.
Since:
  1.0

### createMenuContribution

public MMenuContribution createMenuContribution()

Specified by:
  `createMenuContribution` in interface `MMenuFactory`
Returns:
  a new object of class 'Contribution'.
Since:
  1.0
Restriction:
  See `model documentation` for details.

### createPopupMenu

public MPopupMenu createPopupMenu()

Specified by:
  `createPopupMenu` in interface `MMenuFactory`
Returns:
  a new object of class 'Popup Menu'.
Since:
  1.0

### createDirectMenuItem

public MDirectMenuItem createDirectMenuItem()

Specified by:
  `createDirectMenuItem` in interface `MMenuFactory`
Returns:
  a new object of class 'Direct Menu Item'.
Since:
  1.0

### createHandledMenuItem

public MHandledMenuItem createHandledMenuItem()

Specified by:
  `createHandledMenuItem` in interface `MMenuFactory`
Returns:
  a new object of class 'Handled Menu Item'.
Since:
  1.0

### createToolBar

public MToolBar createToolBar()

Specified by:
  `createToolBar` in interface `MMenuFactory`
Returns:
  a new object of class 'Tool Bar'.
Since:
  1.0

### createToolControl

public MToolControl createToolControl()

Specified by:
  `createToolControl` in interface `MMenuFactory`
Returns:
  a new object of class 'Tool Control'.
Since:
  1.0

### createHandledToolItem

public MHandledToolItem createHandledToolItem()

Specified by:
  `createHandledToolItem` in interface `MMenuFactory`
Returns:
  a new object of class 'Handled Tool Item'.
Since:
  1.0

### createDirectToolItem

public MDirectToolItem createDirectToolItem()

Specified by:
  `createDirectToolItem` in interface `MMenuFactory`
Returns:
  a new object of class 'Direct Tool Item'.
Since:
  1.0

### createToolBarSeparator

public MToolBarSeparator createToolBarSeparator()

Specified by:
  `createToolBarSeparator` in interface `MMenuFactory`
Returns:
  a new object of class 'Tool Bar Separator'.
Since:
  1.0

### createToolBarContribution

public MToolBarContribution createToolBarContribution()

Specified by:
  `createToolBarContribution` in interface `MMenuFactory`
Returns:
  a new object of class 'Tool Bar Contribution'.
Since:
  1.0
Restriction:
  See `model documentation` for details.

### createTrimContribution

public MTrimContribution createTrimContribution()

Specified by:
  `createTrimContribution` in interface `MMenuFactory`
Returns:
  a new object of class 'Trim Contribution'.
Since:
  1.0
Restriction:
  See `model documentation` for details.

### createDynamicMenuContribution

public MDynamicMenuContribution createDynamicMenuContribution()

Specified by:
  `createDynamicMenuContribution` in interface `MMenuFactory`
Returns:
  a new object of class 'Dynamic Menu Contribution'.
Since:
  1.0

### createItemTypeFromString

public ItemType createItemTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)

Since:
  1.0

### convertItemTypeToString

public String convertItemTypeToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)

Since:
  1.0

### getMenuPackage

public MenuPackageImpl getMenuPackage()